Bug 852120 - Adding documentation to connector lines
Adding documentation to connector lines
Status: MODIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: future
Assigned To: Tihomir Surdilovic
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 12:19 EDT by Tihomir Surdilovic
Modified: 2014-10-26 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A Process Designer error occurred when sequence flow documentation was not saving properly. This caused documentation property values to not be persisted on save operations. This issue has been fixed within Process Designer, and the documentation property values on sequence flows are persisted on save operations properly.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Repository with process and connection lines (167.23 KB, text/xml)
2012-10-01 09:47 EDT, Sona Mala
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3643 Major Resolved Adding documentation to connector lines 2013-02-25 03:34:19 EST

  None (edit)
Description Tihomir Surdilovic 2012-08-27 12:19:39 EDT
In Designer 2.2 when adding documentation to a connector line, the documentation does not appear to be saved on the save of the diagram.
Comment 1 Sona Mala 2012-10-01 09:47:09 EDT
Verified only for Sequence flow on BRMS 5.3.1 ER1 and designer 2.3.1-DEV

After save, the text of Documentation property disappears for Association (undirected) and Association (unidirectional).
I think that Association belongs into connector lines.

Same problem for notes and data object.

Repository is attached.
Comment 2 Sona Mala 2012-10-01 09:47:55 EDT
Created attachment 619803 [details]
Repository with process and connection lines
Comment 3 Tihomir Surdilovic 2012-10-08 20:57:29 EDT
Done in designer master. Raise a blocker flag to include it in BRMS 5.3.1.
Comment 4 Lukáš Petrovický 2012-10-17 04:17:38 EDT
Setting to "future" and MODIFIED, so that we pick it up in later versions.
Comment 5 Douglas Hoffman 2012-11-08 22:46:11 EST
Thanks for the information for Release Notes.

- Doug
Comment 6 Rajesh Rajasekaran 2012-11-14 08:51:30 EST
Setting release flag to - as this issue was proposed to be included in a future release than 5.3.1

Note You need to log in before you can comment on or make changes to this bug.